import { CalculateAdditionalFeesResponse } from './src/service-plugins-types.js';
import { CalculateAdditionalFeesEnvelope } from './src/interfaces-ecommerce-v1-additional-fees-provider.public.js';
export * from './src/service-plugins-types';
export { CalculateAdditionalFeesEnvelope };
/**
 * This method retrieves additional fees calculated by your app.
 *
 * Wix calls this method when certain actions are performed on the cart or checkout.
 * For example, when an item is added to the cart or the amount of an item is updated in the checkout.
 *
 * > __Notes:__
 * > + Do not call the Estimate Cart Totals, Estimate Current Cart Totals or Get Checkout methods from your implementation code for Calculate Additional Fees. Doing so will result in an error.
 * > + The currency returned in the response object must match the site's currency or those fees will be filtered out and not returned.
 */
export declare function calculateAdditionalFees(payload: CalculateAdditionalFeesEnvelope): CalculateAdditionalFeesResponse | Promise<CalculateAdditionalFeesResponse>;
