import { ServicePluginDefinition } from '@wix/sdk-types';
import { Context, CalculateAdditionalFeesRequest, CalculateAdditionalFeesResponse } from './service-plugins-types.js';
export interface CalculateAdditionalFeesEnvelope {
    request: CalculateAdditionalFeesRequest;
    metadata: Context;
}
export declare const provideHandlers: ServicePluginDefinition<{
    /**
     *
     * This method retrieves additional fees calculated by your app.
     *
     * Wix calls this method when certain actions are performed on the cart or checkout.
     * For example, when an item is added to the cart or the amount of an item is updated in the checkout.
     *
     * > __Notes:__
     * > + Do not call the Estimate Cart Totals, Estimate Current Cart Totals or Get Checkout methods from your implementation code for Calculate Additional Fees. Doing so will result in an error.
     * > + The currency returned in the response object must match the site's currency or those fees will be filtered out and not returned. */
    calculateAdditionalFees(payload: CalculateAdditionalFeesEnvelope): CalculateAdditionalFeesResponse | Promise<CalculateAdditionalFeesResponse>;
}>;
